Skip to main content
PATCH
/
apps
/
{appId}
/
notification-rules
/
{ruleId}
Update Notification Rule
curl --request PATCH \
  --url https://api.vela.dev/v1/apps/{appId}/notification-rules/{ruleId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": false
}
'
{
  "id": "<string>",
  "appId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "eventName": "<string>",
  "conditions": [
    {
      "id": "<string>",
      "field": "<string>",
      "operator": "equals",
      "value": "<string>"
    }
  ],
  "actions": [
    {
      "id": "<string>",
      "destinationId": "<string>",
      "channel": "slack",
      "target": "<string>",
      "enabled": true
    }
  ],
  "enabled": true,
  "lastTriggeredAt": "2023-11-07T05:31:56Z",
  "triggerCount": 123,
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Client secret for management API access. Format: vela_cs_...

Path Parameters

appId
string
required

App UUID or slug

ruleId
string
required

Notification rule identifier

Body

application/json
name
string

New display name

eventName
string

New event name to watch

conditions
object[]

Updated conditions array

actions
object[]

Updated actions array

enabled
boolean

Enable or disable the rule

Response

Updated rule

id
string

Rule identifier

appId
string<uuid>
name
string

Rule display name

eventName
string

Event name to watch

conditions
object[]

Conditions to evaluate (empty = trigger on all)

actions
object[]

Delivery actions

enabled
boolean
lastTriggeredAt
string<date-time> | null
triggerCount
integer
createdAt
string<date-time>